# Using [pytest] is deprecated
[tool:pytest]
addopts = -vvv
    --cov-report=xml:cov.xml
    --cov-report=html:coverage-html
    --cov-report=term-missing
    --cov-branch
    --cov=src/faststan
    --doctest-modules
    tests

[flake8]
ignore = E203, E266, E501, W503, D210, D212
# line length is intentionally set to 80 here because black uses Bugbear
# See https://github.com/psf/black/blob/master/README.md#line-length for more details
max-line-length = 80
max-complexity = 18
# select = B,C,E,F,W,T4,B9
per-file-ignores = __init__.py:F401
exclude =
    .git
    __pycache__
    build
    dist
    releases
    .venv
    venv,
    .tox
    .mypy_cache
    .pytest_cache
    .vscode
    poetry.lock,
    .coverage,
    *.egg-info,
    docs/
verbose = 1
format = pylint
statistics = True
# This is used by flake8-docstrings
docstring-convention = google
# We need to configure the mypy.ini because the flake8-mypy's default
# options don't properly override it, so if we don't specify it we get
# half of the config from mypy.ini and half from flake8-mypy.
mypy_config = mypy.ini


[isort]
multi_line_output = 3
include_trailing_comma = True
force_grid_wrap = 0
use_parentheses = True
line_length = 88
atomic = true
lines_after_imports = 2
lines_between_types = 1
known_first_party = "faststan"
known_third_party = ["pydantic", "fastapi", "stan", "nats"]
